Script Run
The script run resource.
Base/scriptRun
GET
/scriptRunList script runs
Retrieve a paginated list of script runs. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/scriptRun
curl --request GET \
--url '<your-host>/scriptRun?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"name": "Example",
"ranAt": "2026-01-01T00:00:00Z",
"result": "string"
}
]GET
/scriptRunRetrieve a script run
Fetch a single script run by filtering on `name`.
Query parameters
namestringMatch on the script run's `name`, e.g. `eq.{id}`.
GET/scriptRun
curl --request GET \
--url '<your-host>/scriptRun?name=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"name": "Example",
"ranAt": "2026-01-01T00:00:00Z",
"result": "string"
}POST
/scriptRunCreate a script run
Create a new script run.
Body parameters
ranAttimestamprequiredresultobjectPOST/scriptRun
curl --request POST \
--url <your-host>/scriptRun \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"ranAt":"2026-01-01T00:00:00Z"}'Response
{
"name": "Example",
"ranAt": "2026-01-01T00:00:00Z",
"result": "string"
}PATCH
/scriptRunUpdate a script run
Update an existing script run, matched on `name`.
Body parameters
ranAttimestamprequiredresultobjectPATCH/scriptRun
curl --request PATCH \
--url '<your-host>/scriptRun?name=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"ranAt":"2026-01-01T00:00:00Z"}'Response
{
"name": "Example",
"ranAt": "2026-01-01T00:00:00Z",
"result": "string"
}DELETE
/scriptRunDelete a script run
Delete a script run, matched on `name`. Returns 204 No Content.
Query parameters
namestringThe `name` of the script run to delete, e.g. `eq.{id}`.
DELETE/scriptRun
curl --request DELETE \
--url '<your-host>/scriptRun?name=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content